Package org.bukkit.inventory

# Interface DoubleChestInventory

All Superinterfaces:
  `Inventory`, `Iterable<ItemStack>`

public interface DoubleChestInventory extends Inventory
Interface to the inventory of a Double Chest.

## Method Summary

Modifier and Type
Method
Description
`@Nullable DoubleChest`
`getHolder()`
Gets the block or entity belonging to the open inventory
`@NotNull Inventory`
`getLeftSide()`
Get the left half of this double chest.
`@NotNull Inventory`
`getRightSide()`
Get the right side of this double chest.

### Methods inherited from interface org.bukkit.inventory.Inventory

`addItem, all, all, clear, clear, close, contains, contains, contains, contains, containsAtLeast, first, first, firstEmpty, getContents, getHolder, getItem, getLocation, getMaxStackSize, getSize, getStorageContents, getType, getViewers, isEmpty, iterator, iterator, remove, remove, removeItem, removeItemAnySlot, setContents, setItem, setMaxStackSize, setStorageContents`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

## Method Details

### getLeftSide

@NotNull @NotNull Inventory getLeftSide()
Get the left half of this double chest.

Returns:
  The left side inventory

### getRightSide

@NotNull @NotNull Inventory getRightSide()
Get the right side of this double chest.

Returns:
  The right side inventory

### getHolder

@Nullable @Nullable DoubleChest getHolder()
Description copied from interface: `Inventory`
Gets the block or entity belonging to the open inventory

Specified by:
  `getHolder` in interface `Inventory`
Returns:
  The holder of the inventory; null if it has no holder.